using Exferia_Aplicacion.Herencia.Abstractas;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Exferia_Aplicacion.Modelos_MantenimientoSimple;
using static Exferia_Aplicacion.General.Enumerados;
using Exferia_EntityFramework;
using Exferia_Aplicacion.General;
using Exferia_HotelPuntoVenta.General;

namespace Exferia_HotelPuntoVenta._3_Vistas.MantenimientoSimple
{
    public class ABS_MantenimientoSimple_HPV_CaracteristicasTipos : ABS_MantenimientoSimple
    {
        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_7()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_8()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_9()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_10()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_11()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_12()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo CODIGO()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Código", true, 10, G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo DESCRIPCION()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Descripción", true, 50, G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_F3_Modelo F3()
        {
            return null;
        }

        public override string NOMBRE_CAMPO_CODIGO()
        {
            return nameof(HPV_CaracteristicasTipos.codigo);
        }

        public override string NOMBRE_CAMPO_ID()
        {
            return nameof(HPV_CaracteristicasTipos.id);
        }

        public override string NOMBRE_CAMPO_IDEMPRESA()
        {
            return nameof(HPV_CaracteristicasTipos.idEmpresa);
        }

        public override string NOMBRE_LIBRERIA()
        {
            return Variables.G_STR_LIBRERIA_HOTELPUNTOVENTA;
        }

        public override string NOMBRE_TABLA()
        {
            return nameof(HPV_CaracteristicasTipos);
        }

        public override string OPCION()
        {
            return Variables.G_STR_OPCION_HPV_CARACTERISTICASTIPOS;
        }

        public override bool TIENE_FECHABORRADO()
        {
            return true;
        }
    }
}
